---

#! /cephfs/tmp/d20240916-44158-byn67s/netperf.yaml
suite: netperf
testcase: netperf
category: benchmark
set_nic_irq_affinity: 1
ip: ipv4
runtime: 300s
nr_threads: 50%
cluster: cs-localhost
if role server:
  netserver:
if role client:
  netperf:
    test: TCP_CRR
job_origin: netperf.yaml
queue: bisect
testbox: lkp-gnr-1ap1
commit: b7d8ea62f1f89469fc274b951485254c66cabf91
compiler: gcc-12
branch: bytedance/5.15-velinux
kconfig: x86_64-bytedance-5.15-velinux
repeat_to: 3
name: "/cephfs/tmp/d20240916-44158-byn67s/netperf.yaml"
kernel_cmdline:
tbox_group: lkp-gnr-1ap1
job_file: "/lkp/jobs/scheduled/lkp-gnr-1ap1/netperf-cs-localhost-performance-ipv4-50%-300s-TCP_CRR-debian-12-x86_64-20240206.cgz-b7d8ea62f1f8-20241016-21221-1sssrch-1.yaml"
id: caf2445af193ae3844b9201550749ed895adea7f
queuer_version: "/zday/lkp"

#! hosts/lkp-gnr-1ap1
model: Granite Rapids
nr_node: 1
nr_cpu: 240
memory: 192G
nr_ssd_partitions: 3
ssd_partitions:
- "/dev/disk/by-id/nvme-KIOXIA_KCD81PUG3T84_5EE0A05G0ZN2-part2"
- "/dev/disk/by-id/nvme-KIOXIA_KCD81PUG3T84_5EE0A05G0ZN2-part3"
- "/dev/disk/by-id/nvme-KIOXIA_KCD81PUG3T84_5EE0A05G0ZN2-part4"
rootfs_partition: "/dev/disk/by-id/nvme-KIOXIA_KCD81PUG3T84_5EE0A05G0ZN2-part1"
kernel_cmdline_hw: acpi_rsdp=0x605db014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: Genuine Intel(R) 0000
belongs_to: bytedance

#! include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- BUG_ON_DATA_CORRUPTION: n
- DEBUG_LIST: n
- DEBUG_PLIST: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! include/category/ALL
cpufreq_governor: performance
sanity-check:

#! include/testbox/lkp-gnr-1ap1
need_kconfig_hw:
- USB: y
- USB_NET_DRIVERS: y
- USB_USBNET: y
- USB_NET_AX8817X: y
rootfs: debian-12-x86_64-20240206.cgz
enqueue_time: 2024-10-15 22:52:07.688724788 +08:00
_rt: "/result/netperf/cs-localhost-performance-ipv4-50%-300s-TCP_CRR/lkp-gnr-1ap1/debian-12-x86_64-20240206.cgz/x86_64-bytedance-5.15-velinux/gcc-12/b7d8ea62f1f89469fc274b951485254c66cabf91"

#! schedule options
user: lkp
scheduler_version: "/lkp/lkp/.src-20241014-215641"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/netperf/cs-localhost-performance-ipv4-50%-300s-TCP_CRR/lkp-gnr-1ap1/debian-12-x86_64-20240206.cgz/x86_64-bytedance-5.15-velinux/gcc-12/b7d8ea62f1f89469fc274b951485254c66cabf91/0
- BOOT_IMAGE=/pkg/linux/x86_64-bytedance-5.15-velinux/gcc-12/b7d8ea62f1f89469fc274b951485254c66cabf91/vmlinuz-5.15.122-13193-gb7d8ea62f1f8
- branch=bytedance/5.15-velinux
- job=/lkp/jobs/scheduled/lkp-gnr-1ap1/netperf-cs-localhost-performance-ipv4-50%-300s-TCP_CRR-debian-12-x86_64-20240206.cgz-b7d8ea62f1f8-20241016-21221-1sssrch-1.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-bytedance-5.15-velinux
- commit=b7d8ea62f1f89469fc274b951485254c66cabf91
- intremap=posted_msi
- acpi_rsdp=0x605db014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-bytedance-5.15-velinux/gcc-12/b7d8ea62f1f89469fc274b951485254c66cabf91/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20240904.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/netperf_20240224.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/netperf-x86_64-2.7-0_20240224.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20240229.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20240901.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-431c1646e1f8-1_20240901.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-443ade20-1_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20240913194942/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
node_roles: server client
job_initrd: "/lkp/jobs/scheduled/lkp-gnr-1ap1/netperf-cs-localhost-performance-ipv4-50%-300s-TCP_CRR-debian-12-x86_64-20240206.cgz-b7d8ea62f1f8-20241016-21221-1sssrch-1.cgz"
last_kernel: 5.15.120-12598-gd2b691fe8d2e
acpi_rsdp: '0x605db014'

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
- force_schedule

#! user overrides
kbuild_queue_analysis: 1
force_schedule: 1
kernel: "/pkg/linux/x86_64-bytedance-5.15-velinux/gcc-12/b7d8ea62f1f89469fc274b951485254c66cabf91/vmlinuz-5.15.122-13193-gb7d8ea62f1f8"
result_root: "/result/netperf/cs-localhost-performance-ipv4-50%-300s-TCP_CRR/lkp-gnr-1ap1/debian-12-x86_64-20240206.cgz/x86_64-bytedance-5.15-velinux/gcc-12/b7d8ea62f1f89469fc274b951485254c66cabf91/0"

#! /db/releases/20241014220119/lkp-src/include/site/inn
dequeue_time: 2024-10-16 00:12:27.753867370 +08:00
job_state: finished
loadavg: 4.11 39.54 28.63 1/1642 11621
start_time: '1729007970'
end_time: '1729008275'
version: "/lkp/lkp/.src-20241014-215641:80ed9e29687b:166f7caa704e"
